Upgrade error



  • I'm going from 1.5.3 to 1.7.3.

    my git is where it needs to be and a git pull shows me all is up to date. when i run nodebb upgrade i see

    sudo ./nodebb upgrade
    /opt/nodebb/src/cli/index.js:60
            .description('Welcome to NodeBB')
             ^
    
    TypeError: program.name(...).description is not a function
        at Object.<anonymous> (/opt/nodebb/src/cli/index.js:60:3)
        at Module._compile (module.js:570:32)
        at Object.Module._extensions..js (module.js:579:10)
        at Module.load (module.js:487:32)
        at tryModuleLoad (module.js:446:12)
        at Function.Module._load (module.js:438:3)
        at Module.require (module.js:497:17)
        at require (internal/module.js:20:19)
        at Object.<anonymous> (/opt/nodebb/nodebb:5:1)
        at Module._compile (module.js:570:32)
    


  • interestingly enough I pulled the 1.5.x branch and the upgrade ran fine. maybe ill go to 1.6 first



  • upgrade to 1.6.x is fine. still same error when trying to go to 1.7.x


  • Admin

    Run npm i commander on 1.7.x and try again.


 

| |